Bug 1651397 (python-efel) - Review Request: python-efel - Electrophys Feature Extraction Library
Summary: Review Request: python-efel - Electrophys Feature Extraction Library
Keywords:
Status: CLOSED ERRATA
Alias: python-efel
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luis Segundo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-19 22:37 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-29 04:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 02:27:18 UTC
luis: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-19 22:37:07 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-efel/python-efel.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-efel/python-efel-3.0.22-1.fc29.src.rpm

Description: 
The Electrophys Feature Extraction Library (eFEL) allows neuroscientists to
automatically extract features from time series data recorded from neurons
(both in vitro and in silico). Examples are the action potential width and
amplitude in voltage traces recorded during whole-cell patch clamp experiments.
The user of the library provides a set of traces and selects the features to be
calculated. The library will then extract the requested features and return the
values to the user.

The core of the library is written in C++, and a Python wrapper is included. At
the moment we provide a way to automatically compile and install the library as
a Python module.

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2018-11-19 22:53:37 UTC
F29 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=31005180
Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=31005076

Comment 2 Luis Segundo 2018-11-20 02:37:01 UTC
hello Ankur the spec look good, just a small change

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

 the "BuildRequires:  gcc-c++" can be remove.

Comment 3 Ankur Sinha (FranciscoD) 2018-11-20 09:29:07 UTC
(In reply to Luis Segundo from comment #2)
> hello Ankur the spec look good, just a small change

Thanks for the review, Luis!

 
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
> 
>  the "BuildRequires:  gcc-c++" can be remove.

I think this is a false positive. The guidelines are now on docs.fp.o, and this link fedora-review gives does not point to anything related to such an issue either. So maybe fedora review is not up to date? I'm not sure what it's pointing to here:

g++ is necessary for this package, otherwise the build fails. Here is a scratch build that shows this:

https://koji.fedoraproject.org/koji/taskinfo?taskID=31014016

Even using "gcc" instead of "gcc-c++" fails since the build process cannot find the g++ compiler:
https://koji.fedoraproject.org/koji/taskinfo?taskID=31014100



Cheers,
Ankur

Comment 4 Luis Segundo 2018-11-20 12:55:14 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #3)
> (In reply to Luis Segundo from comment #2)

> I think this is a false positive. 
Hello Ankur, if it makes sense

Package approved!

Cheers,

Comment 5 Ankur Sinha (FranciscoD) 2018-11-20 13:14:14 UTC
Thanks for the review Luis. SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8927

Comment 6 Gwyn Ciesla 2018-11-20 14:31:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-efel

Comment 7 Fedora Update System 2018-11-20 17:08:35 UTC
python-efel-3.0.22-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-91dbe4e2b6

Comment 8 Fedora Update System 2018-11-20 17:08:40 UTC
python-efel-3.0.22-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1531eeb1bd

Comment 9 Fedora Update System 2018-11-21 04:32:05 UTC
python-efel-3.0.22-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-91dbe4e2b6

Comment 10 Fedora Update System 2018-11-21 05:11:23 UTC
python-efel-3.0.22-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1531eeb1bd

Comment 11 Fedora Update System 2018-11-29 02:27:18 UTC
python-efel-3.0.22-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-29 04:58:10 UTC
python-efel-3.0.22-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.